#  Licensed Materials - Property of IBM
#  5724-M24
#  (C) Copyright IBM Corporation 2007, 2008. All Rights Reserved.
#  US Government Users Restricted Rights- Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.
import org.w3c.dom as dom
import org.apache.xerces as xerces
import os, sys

from os import environ,path


def getSecurity(profileDir, wasCell):

  securityPath = path.join(profileDir,"config")
  securityPath = path.join(securityPath,"cells")
  securityPath = path.join(securityPath,wasCell)
  securityFile = path.join(securityPath,"security.xml")

  if (not path.exists(securityFile)):
    return "security.xml does not exist"
    

  parser = xerces.parsers.DOMParser()
  parser.parse(securityFile)

  domDoc = parser.document
  root   =  domDoc.documentElement
  return  root.getAttribute("enabled")


if __name__ == "__main__": 

  profDir = sys.argv[1]
  cell    = sys.argv[2]
  print getSecurity(profDir, cell)
